
# PMX Arduino Library  

## Tv(Overview)
ߓȊwPMXT[{[^ArduinoSerial(HardwareSerial)瓮߂̃CułB  
This library is for connecting a Kondo Kagaku PMX servo motor from an Arudino serial(HardwareSerial) port.

## (Description)
ߓȊwPMXT[{[^Arduinoœ߂̃CułB  
This library is for connecting a Kondo Kagaku PMX servo motor using Arudino.

Arduino
- PMXT[{[^ɃgNON/OFF̎w߂oƂł悤ɂȂ܂B  
  You will be able to send torque ON/OFF commands to the PMX servo motor.

- PMXT[{[^ڕWʒuڕWdw߂ł悤ɂȂ܂B  
  You will be able to command goal position and goal current from the PMX servo motor.

- PMXT[{[^݈̌ʒud擾ł悤ɂȂ܂B  
  You will be able to retrieve current position and current information from the PMX servo motor.

...etc


ArduinoSerial(HardwareSerial)pĒʐM܂B  
Communications can be performed from Arudino using a serial port (HardwareSerial).

- PmxBaseClass  
  PMXT[{[^̃R}h`  
  PMX servo motor command generation and definition

- PmxHardSerialClass  
  HardSerialgpPMXT[{[^̒ʐM  
  Communicate with PMX servo motor using HardSerial

- PmxCRC  
  PMXŎgpCRC16vZ  
  Calculate CRC16 for use with PMX

- DataConvert  
  bytezint16uint32ɕϊ  
  Converting a byte array to int16 or uint32, etc

## XV(Revision History)
### V1.0.0 (2023/12)
 - First Release
### V1.0.1 (2023/12)
- MemREAD̃TvvOꕔC܂  
  Modifications were made to the MemREAD sample program. 
### V1.0.2 (2024/02)
- RamAddrListɃV[gu[Lݒ(530~)іڕWwߒl(700ԑ)̃AhXǉ܂  
  RamAddrList add [short brake],[GoalCommandValue]
- MotorWriteR}hgpMotorON/OFFݒ肷usetTorqueSwitchv֐ǉ܂  
  Add function [setTorqueSwitch]
- ꕔXy~X̂ŏC܂B  
  Fixed some spelling mistakes.
- 700ԑgpuMemWRITE_MotorControl_SampleṽTvvOǉ܂  
  Add sample program [MemWRITE_MotorControl_Sample]



## Requirement
- Arduino Nano Every (Serial1)  
- Arduino Uno R3 (Serial)  
  Not use Arduino Uno R4(ArduinoUnoR4BoardsV1.0.5)   
- M5StackBasic(V2.6) (Serial1)  
- Teensy4.0 / 4.1 (Serial1 - Serial5)   
   (unconfirmed Serial6,Serial7)




## g(Usage)
PMX̎dlɂĂ͉Ly[WB  
Please refer to the following page for specifications of the PMX servo motor.  
[PMX Online Manural] (https://kondo-robot.com/faq/pmx-servo-series-online-manual)



ArduinoANZXłPmxHardSerialClassgɂPmxBaceClassNł悤ɂĂB
To use the PmxHardSerialClass accessible from Arduino, ensure that you can link the PmxBaseClass.

̃}CRgꍇ́APmxBaceClasshƕ֗łB  
To use another computer, deriving PmxBaceClass is a convenient approach.

TvvOłArduino Nano EverygpĂ܂B@@
The sample program uses Arduino Nano Every.  

}CRڑ@ɂSerial̔ԍςĂ܂B  
The serial number varies depending on the microcontroller and connection method.  

̃}CRgꍇSerial̐ݒύXĂB  
If you use another microcontroller, please change the Serial settings.

## Licence
Copyright 2024 Kondo Kagaku co.,ltd.  
[MIT](http://opensource.org/licenses/mit-license.php)
see to MIT_Licence.txt


## Author
ߓȊw  
Kondo Kagaku co.,ltd.  
ߓȊwz[y[W:(<http://kondo-robot.com/>)
